Subject: Re: bug#74700: [PATCH] Revert Dired buffer when clicking on last segment of directory name

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Dec 2024 11:24:23 +0200

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 05 Dec 2024 14:32:18 +0530
> 
> [வியாழன் டிசம்பர் 05, 2024] Eli Zaretskii wrote:
> 
> >> I removed the whitespace.  But isn't that way to make lists such as
> >> 
> >>     ( 1
> >>       2
> >>       3)
> >> 
> >> aligned without manual intervention?
> >
> > Typing something like
> >
> >    (setq foo (1
> >               2
> >               3)
> >
> > aligns the members for me.  So I don't think I understand what you are
> > saying here.
> 
> Try to align
> 
>     (setq foo '(1 2
>                 3))
> 
> instead.  3 would end up aligning at 2 instead of 1.

Yes, and why is that a problem?  This is the standard Lisp indentation
in Emacs.  It makes it easy to find the end of the sexps.

> Adding a space after ( prevents this.

I'm not sure I understand why overriding the standard indentation
would be a good idea.